<form>
    <mat-form-field>
        <mat-label>Citizen National ID</mat-label>
        <input matInput readonly value="{{eGovPassport.id}}">
    </mat-form-field>

    <mat-form-field>
        <mat-label>Passport Number</mat-label>
        <input matInput readonly value="{{eGovPassport.passportNumber}}">
    </mat-form-field>

    <mat-form-field>
        <mat-label>Given Names</mat-label>
        <input matInput readonly value="{{eGovPassport.givenName}}">
    </mat-form-field>

    <mat-form-field>
        <mat-label>Surnames</mat-label>
        <input matInput readonly value="{{eGovPassport.surname}}">
    </mat-form-field>

    <mat-form-field>
        <mat-label>Issuing Date</mat-label>
        <input matInput readonly value="{{eGovPassport.issuingDate}}">
    </mat-form-field>

    <mat-form-field>
        <mat-label>Expiration Date</mat-label>
        <input matInput readonly value="{{eGovPassport.expirationDate}}">
    </mat-form-field>

    <mat-form-field>
        <mat-label>Issuing Location</mat-label>
        <input matInput readonly value="{{eGovPassport.issuingLocation}}">
    </mat-form-field>

    <mat-form-field>
        <mat-label>Issuing Authority</mat-label>
        <input matInput readonly value="{{eGovPassport.issuingAuthority}}">
    </mat-form-field>

    <mat-form-field>
        <mat-label>Birth Date</mat-label>
        <input matInput readonly value="{{eGovPassport.birthDate}}">
    </mat-form-field>

    <mat-form-field>
        <mat-label>Birth Location</mat-label>
        <input matInput readonly value="{{eGovPassport.birthLocation}}">
    </mat-form-field>

    <mat-form-field>
        <mat-label>Nationality</mat-label>
        <input matInput readonly value="{{eGovPassport.nationality}}">
    </mat-form-field>
    
    <mat-form-field>
        <mat-label>Gender</mat-label>
        <input matInput readonly value="{{eGovPassport.gender}}">
    </mat-form-field>
    
    <mat-form-field>
        <mat-label>Height</mat-label>
        <input matInput readonly value="{{eGovPassport.height}}">
    </mat-form-field>

    <mat-form-field>
        <mat-label>Wallet Key SSI</mat-label>
        <mat-icon *ngIf="eGovPassport.walletKeySSI" (click)="toogleShowWalletQrCode()">code</mat-icon>
        <div *ngIf="eGovPassport.walletKeySSI && showWalletQrCode">
            <bwip-component textValue="{{eGovPassport.walletKeySSI}}"></bwip-component>
        </div>
        <input matInput readonly value="{{eGovPassport.walletKeySSI}}">
        <button mat-button *ngIf="!eGovPassport.walletKeySSI" (click)="createWallet()" title="Warning: Immediate creation after button press!">Create!</button>
    </mat-form-field>
</form>

<button mat-button (click)="navigateBack()">Back</button>
